# idecomp

[![tests](https://github.com/rjmalves/idecomp/actions/workflows/main.yml/badge.svg)](https://github.com/rjmalves/idecomp/actions/workflows/main.yml)  
[![codecov](https://codecov.io/gh/rjmalves/idecomp/branch/main/graph/badge.svg?token=ZSJBGO81JP)](https://codecov.io/gh/rjmalves/idecomp)

O `idecomp` é um pacote Python para manipulação dos arquivos
de entrada e saída do programa [DECOMP](http://www.cepel.br/pt_br/produtos/decomp-modelo-de-planejamento-da-operacao-de-sistemas-hidrotermicos-interligados-de-curto-prazo.htm). O DECOMP é desenvolvido pelo [CEPEL](http://www.cepel.br/) e utilizado para os estudos de planejamento e operação do Sistema Interligado Nacional (SIN).

O idecomp oferece:

- Meios para leitura dos arquivos de entrada e saída do DECOMP

- Facilidades para estudo e análise dos dados utilizando DataFrames do pandas

- Dados estruturados em modelos com o uso do paradigma de orientação a objetos (OOP)


## Instalação

O idecomp é compatível com versões de Python >= 3.8.

É possível instalar a versão distribuída oficialmente com pip:

```
python -m pip install idecomp
```

É possível realizar a instalação da versão de desenvolvimento fazendo o uso do Git.

```
pip install git+https://github.com/rjmalves/idecomp
```

## Documentação

Guias, tutoriais e as referências podem ser encontrados no site oficial do pacote: https://rjmalves.github.io/idecomp
