MockDecEcoEvap = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 32.1 - Ago/2024(L)                      *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " PMO - JANEIRO/25 - FEVEREIRO/25 - REV 0 - FCF COM CVAR - 12 REE - VALOR ESPE    \n",
    "____________________________________________________________________\n",
    "\n",
    "----------------------------------------------------------\n",
    "Eco dos dados para a Evaporacao das usinas hidroeletricas.                      \n",
    "----------------------------------------------------------\n",
    "--------------------------------------------------------------------------------------------\n",
    "IPER;          Indice do periodo                                                                                                                                                                        \n",
    "USIH;          Numero de cadastro da usina hidroeletrica                                                                                                                                                \n",
    "NomeUsih;      Nome de cadastro da usina hidroeletrica                                                                                                                                                  \n",
    "Nome Sist;     Nome do subsistema                                                                                                                                                                       \n",
    "REE;           Numero de cadastro do reservatorio equivalente                                                                                                                                           \n",
    "Vol. Ref.;     Volume de referencia para a montagem da equacao linear para a evaporacao                                                                                                                 \n",
    "Evap. Ref.;    Evaporacao de referencia para a montagem da equacao linear para a evaporacao.                                                                                                            \n",
    "Cfevap;        Coeficiente de evaporacao mensal (cadastro)                                                                                                                                              \n",
    "Flag Evap;     Flag para considerar a evaporacao.                                                                                                                                                       \n",
    "Evap. Linear;  Flag para considerar o modelo linear para a evaporacao.                                                                                                                                  \n",
    "Tip. Vol. Ref; Flag do tipo de volume de referencia: 0 - inicial; 1 - util medio.                                                                                                                       \n",
    "--------------------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;-----;--------------;---------------;-----;-----------;-----------;--------;-----------;------------;---------------;\n",
    "IPER ;USIH ;   NomeUsih   ;   Nome Sist   ; REE ; Vol. Ref. ;Evap. Ref. ; Cfevap ; Flag Evap ;Evap. Linear; Tip. Vol. Ref ;\n",
    "  -  ;  -  ;      -       ;       -       ;  -  ;    HM3    ;    HM3    ;(mm/mes);     -     ;      -     ;       -       ;\n",
    "-----;-----;--------------;---------------;-----;-----------;-----------;--------;-----------;------------;---------------;\n",
    "   1 ; 001 ; CAMARGOS     ; SE            ; 010 ;   521.72  ;     0.00  ;     0  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 002 ; ITUTINGA     ; SE            ; 010 ;    10.64  ;     0.00  ;     2  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ; SE            ; 010 ;   265.86  ;     0.05  ;     6  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 006 ; FURNAS       ; SE            ; 010 ; 11800.27  ;     2.74  ;    13  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 007 ; M. DE MORAES ; SE            ; 010 ;  3387.00  ;     0.64  ;    12  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 008 ; ESTREITO     ; SE            ; 010 ;  1331.40  ;     0.11  ;    10  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 009 ; JAGUARA      ; SE            ; 010 ;   418.20  ;     0.06  ;     8  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 010 ; IGARAPAVA    ; SE            ; 010 ;   234.83  ;     0.10  ;     8  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 011 ; VOLTA GRANDE ; SE            ; 010 ;  2200.40  ;     0.42  ;     9  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 012 ; P. COLOMBIA  ; SE            ; 010 ;  1420.84  ;     0.30  ;     9  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 014 ; CACONDE      ; SE            ; 010 ;   313.58  ;     0.09  ;    18  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 015 ; E. DA CUNHA  ; SE            ; 010 ;    12.79  ;     0.01  ;    22  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 016 ; A.S.OLIVEIRA ; SE            ; 010 ;    22.75  ;     0.01  ;    22  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 017 ; MARIMBONDO   ; SE            ; 010 ;  4132.26  ;     0.94  ;    12  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 018 ; A. VERMELHA  ; SE            ; 010 ;  8864.36  ;     1.51  ;    12  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 020 ; BATALHA      ; SE            ; 010 ;  1153.13  ;     0.00  ;     0  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 021 ; SERRA FACAO  ; SE            ; 010 ;  2672.35  ;     0.18  ;     6  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 024 ; EMBORCACAO   ; SE            ; 010 ;  9361.33  ;     0.00  ;     0  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 025 ; NOVA PONTE   ; SE            ; 010 ;  6638.74  ;     0.99  ;    16  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 026 ; MIRANDA      ; SE            ; 010 ;  1083.79  ;     0.08  ;     7  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 027 ; CAPIM BRANC1 ; SE            ; 010 ;   233.06  ;     0.01  ;     2  ;     1     ;     1      ;     0         ;\n",
    "   1 ; 028 ; CAPIM BRANC2 ; SE            ; 010 ;   867.55  ;     0.02  ;     2  ;     1     ;     1      ;     0         ;\n",
]
