MockDecFcfCortes = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 31.23 - Jan/2024(L)                     *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " PMO - JANEIRO/24 - FEVEREIRO/24 - REV 2 - FCF COM CVAR - 12 REE - VALOR ESPE    \n",
    "____________________________________________________________________\n",
    "\n",
    "-------------------------\n",
    "Cortes da FCF do nó: 001                                                       \n",
    "-------------------------\n",
    "------------------------------------------------------------------------------------\n",
    "ITER;            Indice da iteracao                                                                                                                                                                     \n",
    "TP.ENTID;        Tipo de entidade:                                                                                                                                                                      \n",
    "                 SIST:   Subsistema                                                                                                                                                                     \n",
    "                 USIH:   Usina hidroeletrica                                                                                                                                                            \n",
    "                 USIHTV: Usina hidroeletrica com tempo de viagem                                                                                                                                        \n",
    "                 USIT:   Usina termoeletrica                                                                                                                                                            \n",
    "ID.ENTID;        Numero da entidade                                                                                                                                                                     \n",
    "NomeEntid;       Nome da entidade                                                                                                                                                                       \n",
    "TP.COEF;         Tipo de coeficiente na FCF                                                                                                                                                             \n",
    "                 RHS:   Termo independente                                                                                                                                                              \n",
    "                 VUTIL:   Volume armazenado util                                                                                                                                                        \n",
    "                 QDEFP:   Vazao defluente passada (para tempo de viagem)                                                                                                                                \n",
    "                 GTERF: Geracao termica futura (usinas com antecipacao de despacho)                                                                                                                     \n",
    "ILAG;            Indice do lag (quantidade de periodos passados (<0) ou futuros (>0)                                                                                                                    \n",
    "IPAT;            Patamar de Carga                                                                                                                                                                       \n",
    "Val.Coef;        Valor do coeficiente.                                                                                                                                                                  \n",
    "Unid;            Unidade correspondente                                                                                                                                                                 \n",
    "PontoConsultado; Valor do ponto consultado para construção do corte.                                                                                                                                  \n",
    "Unid;            Unidade correspondente                                                                                                                                                                 \n",
    "------------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;--------;------;---------------;-------;-----;-----;----------------------------------;----------------;----------------------------------;----------------;\n",
    "ITER ;TP.ENTID;ID.ENT;   NomeEntid   ;TP.COEF;ILAG ;IPAT ;             Val.Coef             ;      Unid      ;         PontoConsultado          ;      Unid      ;\n",
    "  -  ;   -    ;  -   ;       -       ;   -   ;  -  ;  -  ;                -                 ;       -        ;                -                 ;       -        ;\n",
    "-----;--------;------;---------------;-------;-----;-----;----------------------------------;----------------;----------------------------------;----------------;\n",
    "   1 ; RHS    ;     0;      -        ;  RHS  ;   0 ;   0 ;              -684638434.4554014  ;  1000$         ;                 -338992.7207533  ;  1000$         ;\n",
    "   1 ; USIH   ;     1; CAMARGOS      ; VARM  ;   0 ;   0 ;                       0.0002938  ; (1000$/hm3)    ;                     493.2607041  ;  hm3           ;\n",
    "   1 ; USIH   ;     2; ITUTINGA      ; -     ;   0 ;   0 ;                       0.0002220  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;     4; FUNIL-GRANDE  ; -     ;   0 ;   0 ;                       0.0001582  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;     6; FURNAS        ; VARM  ;   0 ;   0 ;                       0.0001156  ; (1000$/hm3)    ;                   12562.3912516  ;  hm3           ;\n",
    "   1 ; USIH   ;     7; M. DE MORAES  ; VARM  ;   0 ;   0 ;                       0.0003459  ; (1000$/hm3)    ;                    2125.0000000  ;  hm3           ;\n",
    "   1 ; USIH   ;     8; ESTREITO      ; -     ;   0 ;   0 ;                       0.0003081  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;     9; JAGUARA       ; -     ;   0 ;   0 ;                       0.0003077  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    10; IGARAPAVA     ; -     ;   0 ;   0 ;                       0.0002736  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    11; VOLTA GRANDE  ; -     ;   0 ;   0 ;                       0.0001919  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    12; P. COLOMBIA   ; -     ;   0 ;   0 ;                       0.0001321  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    14; CACONDE       ; VARM  ;   0 ;   0 ;                      -0.0000160  ; (1000$/hm3)    ;                     197.9333019  ;  hm3           ;\n",
    "   1 ; USIH   ;    15; E. DA CUNHA   ; -     ;   0 ;   0 ;                       0.0000884  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    16; A.S.OLIVEIRA  ; -     ;   0 ;   0 ;                       0.0001283  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    17; MARIMBONDO    ; VARM  ;   0 ;   0 ;                       0.0000617  ; (1000$/hm3)    ;                    1280.6776453  ;  hm3           ;\n",
    "   1 ; USIH   ;    18; A. VERMELHA   ; VARM  ;   0 ;   0 ;                       0.0000683  ; (1000$/hm3)    ;                    2586.8811594  ;  hm3           ;\n",
    "   1 ; USIH   ;    20; BATALHA       ; VARM  ;   0 ;   0 ;                       0.0000003  ; (1000$/hm3)    ;                     437.6951033  ;  hm3           ;\n",
    "   1 ; USIH   ;    21; SERRA FACAO   ; VARM  ;   0 ;   0 ;                      -0.0000158  ; (1000$/hm3)    ;                     863.0962399  ;  hm3           ;\n",
    "   1 ; USIH   ;    24; EMBORCACAO    ; VARM  ;   0 ;   0 ;                      -0.0000181  ; (1000$/hm3)    ;                    8621.5269742  ;  hm3           ;\n",
    "   1 ; USIH   ;    25; NOVA PONTE    ; VARM  ;   0 ;   0 ;                      -0.0000060  ; (1000$/hm3)    ;                    6422.2387308  ;  hm3           ;\n",
    "   1 ; USIH   ;    26; MIRANDA       ; VARM  ;   0 ;   0 ;                       0.0000579  ; (1000$/hm3)    ;                     146.0000000  ;  hm3           ;\n",
    "   1 ; USIH   ;    27; CAPIM BRANC1  ; VARM  ;   0 ;   0 ;                       0.0000646  ; (1000$/hm3)    ;                      12.8600006  ;  hm3           ;\n",
    "   1 ; USIH   ;    28; CAPIM BRANC2  ; -     ;   0 ;   0 ;                       0.0000335  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    29; CORUMBA IV    ; VARM  ;   0 ;   0 ;                       0.0000040  ; (1000$/hm3)    ;                     251.7595878  ;  hm3           ;\n",
    "   1 ; USIH   ;    30; CORUMBA I     ; VARM  ;   0 ;   0 ;                      -0.0000113  ; (1000$/hm3)    ;                     245.5371311  ;  hm3           ;\n",
    "   1 ; USIH   ;    31; ITUMBIARA     ; VARM  ;   0 ;   0 ;                       0.0000062  ; (1000$/hm3)    ;                    8114.5789193  ;  hm3           ;\n",
    "   1 ; USIH   ;    32; CACH.DOURADA  ; -     ;   0 ;   0 ;                       0.0001368  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    33; SAO SIMAO     ; VARM  ;   0 ;   0 ;                       0.0000835  ; (1000$/hm3)    ;                    2778.2225021  ;  hm3           ;\n",
    "   1 ; USIH   ;    34; I. SOLTEIRA   ; VARM  ;   0 ;   0 ;                       0.0000954  ; (1000$/hm3)    ;                    3386.8516713  ;  hm3           ;\n",
    "   1 ; USIH   ;    37; BARRA BONITA  ; VARM  ;   0 ;   0 ;                       0.0004839  ; (1000$/hm3)    ;                    1804.6330366  ;  hm3           ;\n",
    "   1 ; USIH   ;    38; A.S. LIMA     ; -     ;   0 ;   0 ;                       0.0004087  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    39; IBITINGA      ; -     ;   0 ;   0 ;                       0.0003338  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    40; PROMISSAO     ; VARM  ;   0 ;   0 ;                       0.0002376  ; (1000$/hm3)    ;                    1188.8926404  ;  hm3           ;\n",
    "   1 ; USIH   ;    42; NAVANHANDAVA  ; -     ;   0 ;   0 ;                       0.0001501  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    43; TRES IRMAOS   ; VARM  ;   0 ;   0 ;                       0.0000951  ; (1000$/hm3)    ;                    2123.4336730  ;  hm3           ;\n",
    "   1 ; USIH   ;    45; JUPIA         ; -     ;   0 ;   0 ;                       0.0000651  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    46; P. PRIMAVERA  ; -     ;   0 ;   0 ;                      -0.0000130  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    47; A.A. LAYDNER  ; VARM  ;   0 ;   0 ;                       0.0000653  ; (1000$/hm3)    ;                    1959.1644060  ;  hm3           ;\n",
    "   1 ; USIH   ;    48; PIRAJU        ; -     ;   0 ;   0 ;                       0.0002235  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    49; CHAVANTES     ; VARM  ;   0 ;   0 ;                       0.0001599  ; (1000$/hm3)    ;                    2202.9364355  ;  hm3           ;\n",
    "   1 ; USIH   ;    50; L.N. GARCEZ   ; -     ;   0 ;   0 ;                       0.0002977  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    51; CANOAS II     ; -     ;   0 ;   0 ;                       0.0002187  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    52; CANOAS I      ; -     ;   0 ;   0 ;                       0.0001355  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    57; MAUA          ; VARM  ;   0 ;   0 ;                      -0.0000133  ; (1000$/hm3)    ;                     371.2279407  ;  hm3           ;\n",
    "   1 ; USIH   ;    61; CAPIVARA      ; VARM  ;   0 ;   0 ;                       0.0000557  ; (1000$/hm3)    ;                    3987.1594177  ;  hm3           ;\n",
    "   1 ; USIH   ;    62; TAQUARUCU     ; -     ;   0 ;   0 ;                       0.0000286  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    63; ROSANA        ; -     ;   0 ;   0 ;                      -0.0000213  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    66; ITAIPU        ; VARM  ;   0 ;   0 ;                      -0.0000941  ; (1000$/hm3)    ;                       0.0000000  ;  hm3           ;\n",
    "   1 ; USIH   ;    71; STA CLARA PR  ; VARM  ;   0 ;   0 ;                      -0.0001121  ; (1000$/hm3)    ;                      67.9865015  ;  hm3           ;\n",
    "   1 ; USIH   ;    72; FUNDAO        ; -     ;   0 ;   0 ;                      -0.0000733  ; (1000$/hm3)    ;                       0.0000000  ;  -             ;\n",
    "   1 ; USIH   ;    73; JORDAO        ; VARM  ;   0 ;   0 ;                      -0.0000300  ; (1000$/hm3)    ;                      25.0000000  ;  hm3           ;\n",
    "   1 ; USIH   ;    74; G.B. MUNHOZ   ; VARM  ;   0 ;   0 ;                      -0.0001025  ; (1000$/hm3)    ;                    2724.7232562  ;  hm3           ;\n",
    "   1 ; USIH   ;    76; SEGREDO       ; VARM  ;   0 ;   0 ;                      -0.0000386  ; (1000$/hm3)    ;                     376.2352934  ;  hm3           ;\n",
    "   1 ; USIH   ;    77; SLT.SANTIAGO  ; VARM  ;   0 ;   0 ;                       0.0000058  ; (1000$/hm3)    ;                    3497.2532375  ;  hm3           ;\n",
]
