MockDecOperEvap = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 32.1 - Ago/2024(L)                      *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " PMO - JANEIRO/25 - FEVEREIRO/25 - REV 0 - FCF COM CVAR - 12 REE - VALOR ESPE    \n",
    "____________________________________________________________________\n",
    "\n",
    "-------------------------------------\n",
    "Evaporacao das usinas hidroeletricas.                                           \n",
    "-------------------------------------\n",
    "------------------------------------------------------------------------------\n",
    "IPER;         Indice do periodo                                                                                                                                                                         \n",
    "INO;          Indice do no                                                                                                                                                                              \n",
    "ICEN;         Indice do cenario                                                                                                                                                                         \n",
    "USIH;         Numero de cadastro da usina hidroeletrica                                                                                                                                                 \n",
    "NomeUsih;     Nome de cadastro da usina hidroeletrica                                                                                                                                                   \n",
    "Sist;         Numero do subsistema                                                                                                                                                                      \n",
    "REE;          Numero de cadastro do reservatorio equivalente                                                                                                                                            \n",
    "VutilInic;    Volume Util Inicial                                                                                                                                                                       \n",
    "VutilInic%;   Volume Util Inicial em percentual                                                                                                                                                         \n",
    "VutilFim;     Volume Util Final                                                                                                                                                                         \n",
    "VutilFim%;    Volume Util Final em percentual                                                                                                                                                           \n",
    "Evap. Modelo; Evaporacao calculada pelo modelo linear construido pelo Decomp                                                                                                                            \n",
    "Evap. Calc.;  Evaporacao caculada pelos polinomios AreaXCota e CotaXVolume                                                                                                                              \n",
    "Desvio Abs.;  Desvio absoluto entre o valor exato e o obtido pelo modelo (hm3)                                                                                                                          \n",
    "Desvio;       Desvio percentual entre o valor exato e o obtido pelo modelo (%)                                                                                                                          \n",
    "------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;------;------;-----;--------------;----;-----;----------;----------;----------;----------;----------;----------;------------;-----------;\n",
    "IPER ; INO  ; ICEN ;USIH ;   NomeUsih   ;Sist; REE ;VutilInic ;VutilInic%; VutilFim ;VutilFim% ;Evap. Mode;Evap. Calc;Desvio Abs. ;  Desvio   ;\n",
    "  -  ;  -   ;  -   ;  -  ;      -       ; -  ;  -  ;  (hm3)   ;   (%)    ;  (hm3)   ;   (%)    ;  (hm3)   ;  (hm3)   ;   (hm3)    ;    (%)    ;\n",
    "-----;------;------;-----;--------------;----;-----;----------;----------;----------;----------;----------;----------;------------;-----------;\n",
    "   1 ;    1 ;    1 ; 001 ; CAMARGOS     ;  1 ; 010 ;   401.72 ;    59.78 ;   457.63 ;    68.10 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 002 ; ITUTINGA     ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 004 ; FUNIL-GRANDE ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.05 ;     0.05 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 006 ; FURNAS       ;  1 ; 010 ;  6067.27 ;    35.24 ;  7160.02 ;    41.59 ;     2.83 ;     2.82 ;     -0.001 ;      -0.03;\n",
    "   1 ;    1 ;    1 ; 007 ; M. DE MORAES ;  1 ; 010 ;  1847.00 ;    73.88 ;  1967.55 ;    78.70 ;     0.65 ;     0.65 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 008 ; ESTREITO     ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.11 ;     0.11 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 009 ; JAGUARA      ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.06 ;     0.06 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 010 ; IGARAPAVA    ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.10 ;     0.10 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 011 ; VOLTA GRANDE ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.42 ;     0.42 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 012 ; P. COLOMBIA  ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.30 ;     0.30 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 014 ; CACONDE      ;  1 ; 010 ;   262.58 ;    52.10 ;   314.17 ;    62.34 ;     0.09 ;     0.09 ;      0.000 ;      -0.07;\n",
    "   1 ;    1 ;    1 ; 015 ; E. DA CUNHA  ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.01 ;     0.01 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 016 ; A.S.OLIVEIRA ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.01 ;     0.01 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 017 ; MARIMBONDO   ;  1 ; 010 ;  3242.26 ;    61.64 ;  3836.46 ;    72.94 ;     0.98 ;     0.98 ;     -0.001 ;      -0.06;\n",
    "   1 ;    1 ;    1 ; 018 ; A. VERMELHA  ;  1 ; 010 ;  3008.36 ;    58.20 ;  3167.84 ;    61.29 ;     1.52 ;     1.52 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 020 ; BATALHA      ;  1 ; 010 ;   723.08 ;    53.50 ;   787.38 ;    58.26 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ;    1 ; 021 ; SERRA FACAO  ;  1 ; 010 ;   920.35 ;    26.70 ;  1066.44 ;    30.94 ;     0.18 ;     0.18 ;      0.000 ;      -0.02;\n",
    "   1 ;    1 ;    1 ; 024 ; EMBORCACAO   ;  1 ; 010 ;  4692.33 ;    35.94 ;  5151.87 ;    39.46 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
]

MockDecOperEvapv31 = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 31.0.2 - Mar/2023(L)                    *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " PMO - JANEIRO/25 - FEVEREIRO/25 - REV 0 - FCF COM CVAR - 12 REE - VALOR ESPE    \n",
    "____________________________________________________________________\n",
    "\n",
    "-------------------------------------\n",
    "Evaporacao das usinas hidroeletricas.                                           \n",
    "-------------------------------------\n",
    "------------------------------------------------------------------------------\n",
    "IPER;         Indice do periodo                                                                                                                                                                         \n",
    "ICEN;         Indice do cenario                                                                                                                                                                         \n",
    "USIH;         Numero de cadastro da usina hidroeletrica                                                                                                                                                 \n",
    "NomeUsih;     Nome de cadastro da usina hidroeletrica                                                                                                                                                   \n",
    "Sist;         Numero do subsistema                                                                                                                                                                      \n",
    "REE;          Numero de cadastro do reservatorio equivalente                                                                                                                                            \n",
    "VutilInic;    Volume Util Inicial                                                                                                                                                                       \n",
    "VutilInic%;   Volume Util Inicial em percentual                                                                                                                                                         \n",
    "VutilFim;     Volume Util Final                                                                                                                                                                         \n",
    "VutilFim%;    Volume Util Final em percentual                                                                                                                                                           \n",
    "Evap. Modelo; Evaporacao calculada pelo modelo linear construido pelo Decomp                                                                                                                            \n",
    "Evap. Calc.;  Evaporacao caculada pelos polinomios AreaXCota e CotaXVolume                                                                                                                              \n",
    "Desvio Abs.;  Desvio absoluto entre o valor exato e o obtido pelo modelo (hm3)                                                                                                                          \n",
    "Desvio;       Desvio percentual entre o valor exato e o obtido pelo modelo (%)                                                                                                                          \n",
    "------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;------;-----;--------------;----;-----;----------;----------;----------;----------;----------;----------;------------;-----------;\n",
    "IPER ; ICEN ;USIH ;   NomeUsih   ;Sist; REE ;VutilInic ;VutilInic%; VutilFim ;VutilFim% ;Evap. Mode;Evap. Calc;Desvio Abs. ;  Desvio   ;\n",
    "  -  ;  -   ;  -  ;      -       ; -  ;  -  ;  (hm3)   ;   (%)    ;  (hm3)   ;   (%)    ;  (hm3)   ;  (hm3)   ;   (hm3)    ;    (%)    ;\n",
    "-----;------;-----;--------------;----;-----;----------;----------;----------;----------;----------;----------;------------;-----------;\n",
    "   1 ;    1 ; 001 ; CAMARGOS     ;  1 ; 010 ;   401.72 ;    59.78 ;   457.63 ;    68.10 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 002 ; ITUTINGA     ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 004 ; FUNIL-GRANDE ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.05 ;     0.05 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 006 ; FURNAS       ;  1 ; 010 ;  6067.27 ;    35.24 ;  7160.02 ;    41.59 ;     2.83 ;     2.82 ;     -0.001 ;      -0.03;\n",
    "   1 ;    1 ; 007 ; M. DE MORAES ;  1 ; 010 ;  1847.00 ;    73.88 ;  1967.55 ;    78.70 ;     0.65 ;     0.65 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 008 ; ESTREITO     ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.11 ;     0.11 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 009 ; JAGUARA      ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.06 ;     0.06 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 010 ; IGARAPAVA    ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.10 ;     0.10 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 011 ; VOLTA GRANDE ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.42 ;     0.42 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 012 ; P. COLOMBIA  ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.30 ;     0.30 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 014 ; CACONDE      ;  1 ; 010 ;   262.58 ;    52.10 ;   314.17 ;    62.34 ;     0.09 ;     0.09 ;      0.000 ;      -0.07;\n",
    "   1 ;    1 ; 015 ; E. DA CUNHA  ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.01 ;     0.01 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 016 ; A.S.OLIVEIRA ;  1 ; 010 ;     0.00 ;     0.00 ;     0.00 ;     0.00 ;     0.01 ;     0.01 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 017 ; MARIMBONDO   ;  1 ; 010 ;  3242.26 ;    61.64 ;  3836.46 ;    72.94 ;     0.98 ;     0.98 ;     -0.001 ;      -0.06;\n",
    "   1 ;    1 ; 018 ; A. VERMELHA  ;  1 ; 010 ;  3008.36 ;    58.20 ;  3167.84 ;    61.29 ;     1.52 ;     1.52 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 020 ; BATALHA      ;  1 ; 010 ;   723.08 ;    53.50 ;   787.38 ;    58.26 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 021 ; SERRA FACAO  ;  1 ; 010 ;   920.35 ;    26.70 ;  1066.44 ;    30.94 ;     0.18 ;     0.18 ;      0.000 ;      -0.02;\n",
    "   1 ;    1 ; 024 ; EMBORCACAO   ;  1 ; 010 ;  4692.33 ;    35.94 ;  5151.87 ;    39.46 ;     0.00 ;     0.00 ;      0.000 ;       0.00;\n",
    "   1 ;    1 ; 025 ; NOVA PONTE   ;  1 ; 010 ;  4226.74 ;    40.72 ;  4510.77 ;    43.46 ;     1.01 ;     1.01 ;      0.000 ;       0.00;\n",
]
