MockEcoFpha = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 32.1 - Ago/2024(L)                      *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " PMO - JANEIRO/25 - FEVEREIRO/25 - REV 0 - FCF COM CVAR - 12 REE - VALOR ESPE    \n",
    "____________________________________________________________________\n",
    "\n",
    "\n",
    "---------------------------------------------------------------------------------\n",
    "Relatorio de dados para a modelagem da funcao de producao das usinas hidroeletricas\n",
    "---------------------------------------------------------------------------------\n",
    "----;----;-------------;----;----;----;----;-----;--------;--------;-----;--------;--------;--------;--------;\n",
    "USIH;IPER;    Nome     ;      Opcoes    ;;;;     Discretiz. Q    ;;;    Discretiz. V     ;;;    Janela GH   ;;\n",
    "  - ;    ;     -       ;Tipo;Conv;Alfa;Rems; Npt ;   Qmin ;  Qmax  ; Npt ;  Vmin  ;  Vmax  ;  GHmin ; GHmax  ;\n",
    "  - ;    ;             ;    ;    ;    ;    ;     ; (m3/s) ; (m3/s) ;     ; (hm3)  ; (hm3)  ;  (MW)  ;  (MW)  ;\n",
    "----;----;-------------;----;----;----;----;-----;--------;--------;-----;--------;--------;--------;--------;\n",
    "   1;   1; CAMARGOS    ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   210.7;    5;   387.3;   656.1;     0.0;    46.0;\n",
    "   2;   1; ITUTINGA    ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   213.4;    1;    10.6;    10.6;     0.0;    52.0;\n",
    "   4;   1; FUNIL-GRANDE;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   507.2;    1;   265.9;   265.9;     0.0;   180.0;\n",
    "   6;   1; FURNAS      ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1461.9;    5;  8356.9; 15243.7;     0.0;  1216.0;\n",
    "   7;   1; M. DE MORAES;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1237.9;    5;  2887.0;  3887.0;     0.0;   476.0;\n",
    "   8;   1; ESTREITO    ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1893.7;    1;  1331.4;  1331.4;     0.0;  1050.0;\n",
    "   9;   1; JAGUARA     ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1071.8;    1;   418.2;   418.2;     0.0;   424.0;\n",
    "  10;   1; IGARAPAVA   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1363.8;    1;   234.8;   234.8;     0.0;   210.0;\n",
    "  11;   1; VOLTA GRANDE;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1531.1;    1;  2200.4;  2200.4;     0.0;   380.0;\n",
    "  12;   1; P. COLOMBIA ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1590.3;    1;  1420.8;  1420.8;     0.0;   320.0;\n",
    "  14;   1; CACONDE     ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;    88.2;    5;   212.8;   414.4;     0.0;    80.4;\n",
    "  15;   1; E. DA CUNHA ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   140.3;    1;    12.8;    12.8;     0.0;   108.8;\n",
    "  16;   1; A.S.OLIVEIRA;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   144.9;    1;    22.8;    22.8;     0.0;    32.0;\n",
    "  17;   1; MARIMBONDO  ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2611.9;    5;  3080.3;  5184.3;     0.0;  1440.0;\n",
    "  18;   1; A. VERMELHA ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2921.7;    5;  7830.6;  9898.2;     0.0;  1396.2;\n",
    "  20;   1; BATALHA     ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   153.6;    5;   882.8;  1423.4;     0.0;    52.5;\n",
    "  21;   1; SERRA FACAO ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   309.5;    5;  1982.9;  3361.7;     0.0;   212.6;\n",
    "  24;   1; EMBORCACAO  ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   946.4;    5;  6750.1; 11972.5;     0.0;  1192.0;\n",
    "  25;   1; NOVA PONTE  ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   561.3;    5;  4562.7;  8714.7;     0.0;   510.0;\n",
    "  26;   1; MIRANDA     ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   662.9;    5;  1054.6;  1113.0;     0.0;   408.0;\n",
    "  27;   1; CAPIM BRANC1;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   476.3;    5;   230.5;   235.6;     0.0;   243.1;\n",
    "  28;   1; CAPIM BRANC2;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   507.2;    1;   867.5;   867.5;     0.0;   211.5;\n",
    "  29;   1; CORUMBA IV  ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   224.2;    5;  3298.3;  3606.9;     0.0;   129.2;\n",
    "  30;   1; CORUMBA I   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   579.5;    5;  1147.7;  1500.0;     0.0;   375.0;\n",
    "  31;   1; ITUMBIARA   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2999.9;    5;  8792.4; 13774.0;     0.0;  2082.0;\n",
    "  32;   1; CACH.DOURADA;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2435.2;    1;   465.0;   465.0;     0.0;   658.0;\n",
    "  33;   1; SAO SIMAO   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2639.3;    5;  9088.0; 11304.0;     0.0;  1710.0;\n",
    "  34;   1; I. SOLTEIRA ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  9059.3;    5; 17978.9; 20177.7;     0.0;  3444.0;\n",
    "  37;   1; BARRA BONITA;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   735.2;    5;  1864.8;  2891.2;     0.0;   140.8;\n",
    "  38;   1; A.S. LIMA   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   772.8;    1;   525.2;   525.2;     0.0;   143.1;\n",
    "  39;   1; IBITINGA    ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;   740.2;    1;   962.7;   962.7;     0.0;   131.5;\n",
    "  40;   1; PROMISSAO   ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1273.4;    5;  6601.1;  7408.0;     0.0;   264.0;\n",
    "  42;   1; NAVANHANDAVA;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  1248.0;    1;  2666.0;  2666.0;     0.0;   347.4;\n",
    "  43;   1; TRES IRMAOS ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  2040.7;    5; 11419.9; 12799.5;     0.0;   807.5;\n",
    "  45;   1; JUPIA       ;  2 ;  1 ;  1 ;  1 ;    5;     0.0;  8158.0;    1;  3249.1;  3249.1;     0.0;  1551.2;\n",
]
